Summary: User and Group Configuration Tool
Name: usercfg
Icon: usercfg.gif
Version: 3.5
Release: 6
Copyright: GPL
Group: Utilities/System
Source: usercfg-3.5.tar.gz
Requires: pythonlib >= 1.20, python, tkinter
BuildArchitectures: noarch
BuildRoot: /tmp/usercfg-root

%description
The User and Group Configurator Tool provides a graphical user
interface which allows you to add users to your system, remove
them, edit their characteristics, and manage groups of users.

%changelog

* Fri Nov 07 1997 Michael K. Johnson <johnsonm@redhat.com>

- wmconfig files take paths, only for root

* Mon Nov 03 1997 Michael K. Johnson <johnsonm@redhat.com>

- requires tkinter

* Tue Oct 28 1997 Otto Hammersmith <otto@redhat.com>

- fixed control-panel icon name in usercfg.init

* Fri Oct 24 1997 Michael K. Johnson <johnsonm@redhat.com>

- Moved redundant stuff into pythonlib, so requires 1.20
- Several bugs fixed in locking/unlocking users

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>

- made a noarch package

* Mon Apr 21 1997 Michael K. Johnson <johnsonm@redhat.com>

- Only remove users' regular files, not devices, etc.
- Requires pythonlib 1.17 or higher so that deleteing "foo" doesn't
  delete "foobar"

%prep
%setup

%build
unset DISPLAY || true
export PYTHONPATH=/usr/lib/rhs/python
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib/rhs/control-panel,share/icons}
unset DISPLAY || true
export PYTHONPATH=/usr/lib/rhs/python
make install PREFIX=$RPM_BUILD_ROOT/usr
cp $RPM_BUILD_ROOT/usr/lib/rhs/control-panel/usercfg.xpm $RPM_BUILD_ROOT/usr/share/icons
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
cp /etc/X11/wmconfig/usercfg $RPM_BUILD_ROOT/etc/X11/wmconfig/usercfg
chmod 600 $RPM_BUILD_ROOT/etc/X11/wmconfig/usercfg

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/usercfg
/usr/lib/rhs/usercfg
/usr/lib/rhs/control-panel/usercfg.init
/usr/lib/rhs/control-panel/usercfg.xpm
/usr/share/icons/usercfg.xpm
%config(missingok) /etc/X11/wmconfig/usercfg
